opencv: /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/objdetect/include/opencv2/objdetect/objdetect.hpp File Reference

Classes | Namespaces | Defines | Typedefs | Functions

# /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/objdetect/include/opencv2/objdetect/objdetect.hpp File Reference

Go to the source code of this file.

## Classes
class | cv::CascadeClassifier
struct | CvAvgComp
struct | CvHaarClassifier
struct | CvHaarClassifierCascade
struct | CvHaarFeature
struct | CvHaarStageClassifier
struct | CvLatentSvmDetector
struct | CvLSVMFilterObject
struct | CvLSVMFilterPosition
struct | CvObjectDetection
struct | cv::CascadeClassifier::DTree
struct | cv::CascadeClassifier::DTreeNode
class | cv::FeatureEvaluator
struct | cv::HOGDescriptor
struct | cv::CascadeClassifier::Stage
## Namespaces
namespace | cv
## Defines
#define | CV_HAAR_DO_CANNY_PRUNING 1
#define | CV_HAAR_DO_ROUGH_SEARCH 8
#define | CV_HAAR_FEATURE_MAX 3
#define | CV_HAAR_FIND_BIGGEST_OBJECT 4
#define | CV_HAAR_MAGIC_VAL 0x42500000
#define | CV_HAAR_SCALE_IMAGE 2
#define | CV_IS_HAAR_CLASSIFIER(haar)
#define | CV_TYPE_NAME_HAAR "opencv-haar-classifier"
## Typedefs
typedef struct CvAvgComp | CvAvgComp
typedef struct CvHaarClassifier | CvHaarClassifier
typedef struct CvHaarClassifierCascade | CvHaarClassifierCascade
typedef struct CvHaarFeature | CvHaarFeature
typedef struct CvHaarStageClassifier | CvHaarStageClassifier
typedef struct CvHidHaarClassifierCascade | CvHidHaarClassifierCascade
typedef struct CvLatentSvmDetector | CvLatentSvmDetector
typedef struct CvObjectDetection | CvObjectDetection
## Functions
CvSeq * | cvHaarDetectObjects (const CvArr *image, CvHaarClassifierCascade *cascade, CvMemStorage *storage, double scale_factor CV_DEFAULT(1.1), int min_neighbors CV_DEFAULT(3), int flags CV_DEFAULT(0), CvSize min_size CV_DEFAULT(cvSize(0, 0)), CvSize max_size CV_DEFAULT(cvSize(0, 0)))
CvSeq * | cvLatentSvmDetectObjects (IplImage *image, CvLatentSvmDetector *detector, CvMemStorage *storage, float overlap_threshold CV_DEFAULT(0.5f))
CvHaarClassifierCascade * | cvLoadHaarClassifierCascade (const char *directory, CvSize orig_window_size)
CvLatentSvmDetector * | cvLoadLatentSvmDetector (const char *filename)
void | cvReleaseHaarClassifierCascade (CvHaarClassifierCascade **cascade)
void | cvReleaseLatentSvmDetector (CvLatentSvmDetector **detector)
int | cvRunHaarClassifierCascade (const CvHaarClassifierCascade *cascade, CvPoint pt, int start_stage CV_DEFAULT(0))
void | cvSetImagesForHaarClassifierCascade (CvHaarClassifierCascade *cascade, const CvArr *sum, const CvArr *sqsum, const CvArr *tilted_sum, double scale)
CV_EXPORTS_W void | cv::groupRectangles (vector< Rect > &rectList, int groupThreshold, double eps=0.2)
CV_EXPORTS_W void | cv::groupRectangles (vector< Rect > &rectList, CV_OUT vector< int > &weights, int groupThreshold, double eps=0.2)

## Define Documentation

#define CV_HAAR_DO_CANNY_PRUNING 1

#define CV_HAAR_DO_ROUGH_SEARCH 8

#define CV_HAAR_FEATURE_MAX 3

#define CV_HAAR_FIND_BIGGEST_OBJECT 4

#define CV_HAAR_MAGIC_VAL 0x42500000

#define CV_HAAR_SCALE_IMAGE 2

#define CV_IS_HAAR_CLASSIFIER | ( |  | haar ) |

Value:

    ((haar) != NULL &&                                                                   \
        (((const CvHaarClassifierCascade*)(haar))->flags & CV_MAGIC_MASK)==CV_HAAR_MAGIC_VAL)

#define CV_TYPE_NAME_HAAR "opencv-haar-classifier"

## Typedef Documentation

typedef struct CvAvgComp CvAvgComp

typedef struct CvHaarClassifier CvHaarClassifier

typedef struct CvHaarClassifierCascade CvHaarClassifierCascade

typedef struct CvHaarFeature CvHaarFeature

typedef struct CvHaarStageClassifier CvHaarStageClassifier

typedef struct CvHidHaarClassifierCascade CvHidHaarClassifierCascade

typedef struct CvLatentSvmDetector CvLatentSvmDetector

typedef struct CvObjectDetection CvObjectDetection

## Function Documentation

CvSeq* cvHaarDetectObjects | ( | const CvArr * | image,
|  | CvHaarClassifierCascade * | cascade,
|  | CvMemStorage * | storage,
|  | double scale_factor | CV_DEFAULT1.1,
|  | int min_neighbors | CV_DEFAULT3,
|  | int flags | CV_DEFAULT0,
|  | CvSize min_size | CV_DEFAULTcvSize(0, 0),
|  | CvSize max_size | CV_DEFAULTcvSize(0, 0)
| ) |  |

CvSeq* cvLatentSvmDetectObjects | ( | IplImage * | image,
|  | CvLatentSvmDetector * | detector,
|  | CvMemStorage * | storage,
|  | float overlap_threshold | CV_DEFAULT0.5f
| ) |  |

CvHaarClassifierCascade* cvLoadHaarClassifierCascade | ( | const char * | directory,
|  | CvSize | orig_window_size
| ) |  |

CvLatentSvmDetector* cvLoadLatentSvmDetector | ( | const char * | filename ) |

void cvReleaseHaarClassifierCascade | ( | CvHaarClassifierCascade ** | cascade ) |

void cvReleaseLatentSvmDetector | ( | CvLatentSvmDetector ** | detector ) |

int cvRunHaarClassifierCascade | ( | const CvHaarClassifierCascade * | cascade,
|  | CvPoint | pt,
|  | int start_stage | CV_DEFAULT0
| ) |  |

void cvSetImagesForHaarClassifierCascade | ( | CvHaarClassifierCascade * | cascade,
|  | const CvArr * | sum,
|  | const CvArr * | sqsum,
|  | const CvArr * | tilted_sum,
|  | double | scale
| ) |  |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines